Bug 860765 - not good version of vdsm displayed into the general tab of the host
not good version of vdsm displayed into the general tab of the host
Status: CLOSED NEXTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.1 GA
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Einav Cohen
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 12:35 EDT by exploit
Modified: 2016-01-28 16:55 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-29 22:22:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description exploit 2012-09-26 12:35:27 EDT
Description of problem:
into the latest git built, the display of the version of vdsm (4.10) is no the one of vdsm but the one of ovirt (3.1.0.x)

Version-Release number of selected component (if applicable):
vdsm 4.10.0.git
ovirt 3.1.0.git

How reproducible:

Steps to Reproduce:
1.installating ovirt 3.1 and vdsm from the nightly repo
2.regestering the host in ovirt
3.after rebooting the host, the version of vdsm in the general tab is the of the current engine
  
Actual results:
VDSM version : 3.1.0.469

Expected results:
VDSM version : 4.10.0.git

Additional info:
Comment 1 Itamar Heim 2012-09-27 04:13:48 EDT
actually, that was intentional[1], though i thought we stopped beutyfing vdsm version by now?
doron/yair?

commit 7c05d46d7f4ad6d692aa9445550acd3c25fc4e9c
Author: Yair Zaslavsky <yzaslavs@redhat.com>
Date:   Tue Jun 19 17:14:27 2012 +0300

    webadmin: Fix getFriendlyVersion
    
    getFriendlyVersion should return 3.1 for vdsm version
    4.10.
    Most of the usages of getFriendlyVersion compare the result
    with the minimum compatibility version (check that it is equal
    or greater than the mimimum compatbility version for a feature)
    Prior to this patch, 4.10 would have resulted as version 4.10
    so the comparsion would have returned a value greater than 0,
    now the Version returned from getFriendlyVersion will be 3.1
    (as for 4.9 it returned 3.0).
    So the comparsion would also return a value greater than 0
    (So no regression here).
    The only change is that at UI for host you will see vdsm version
    3.1.x.y instead of 4.10.x.y
    This is an interim patch until we start working with RpmVersion
    and then we should revisit this.
    
    Change-Id: I88e55c73d4b7747d8af8dcda5e112694aeea3030
    Acked-By:
    Signed-off-by: Yair Zaslavsky <yzaslavs@redhat.com>

diff --git a/frontend/webadmin/modules/uicommonweb/src/main/java/org/ovirt/engine/ui/uicommonweb/Extensions.java b/frontend/webadmin/modules/uicommo
index 5c56097..0637717 100644
--- a/frontend/webadmin/modules/uicommonweb/src/main/java/org/ovirt/engine/ui/uicommonweb/Extensions.java
+++ b/frontend/webadmin/modules/uicommonweb/src/main/java/org/ovirt/engine/ui/uicommonweb/Extensions.java
@@ -95,6 +95,10 @@ public final class Extensions
                 major = 3;
                 minor = 0;
             }
+            else if (major == 4 && minor == 10) {
+                major = 3;
+                minor = 1;
+            }
             if (source.getBuild() == -1)
             {
                 return new Version(major, minor);
Comment 2 Yair Zaslavsky 2012-09-27 04:28:27 EDT
getFriendlyVersion is unfortunately still used for compatibility level issues.
The patch you mentioned was indeed an interim patch.
Host information should display the proper VDSM version,
as should have been introduced at:

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=5a745d239df763bfb55c1f2db03f4e7dfd8e82a4

(For example, if I look at changes at HostGeneralModel.java )
Comment 3 Itamar Heim 2012-09-27 06:14:57 EDT
so closed nextrelease?
Comment 4 Yair Zaslavsky 2012-09-29 22:22:02 EDT
In reply to comment #3 -
Yes. this will be included in oVirt 3.2

Note You need to log in before you can comment on or make changes to this bug.